import { ScatterTriangulationSeriesDescription } from "./ScatterTriangulationSeriesDescription";
import { ValueBrushScaleDescription } from "./ValueBrushScaleDescription";
import { ContourValueResolverDescription } from "./ContourValueResolverDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ScatterContourSeriesDescription extends ScatterTriangulationSeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ce;
    get valueMemberPath(): string;
    set valueMemberPath(a: string);
    private cc;
    get fillScale(): ValueBrushScaleDescription;
    set fillScale(a: ValueBrushScaleDescription);
    private ca;
    get valueResolver(): ContourValueResolverDescription;
    set valueResolver(a: ContourValueResolverDescription);
}
